petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLogView

Prints a summary of the logging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogView(PetscViewer viewer)

Collective over MPI_Comm

### Input Parameter

viewer -an ASCII viewer

### Options Database Keys

-log_view [viewertype[:filename[:format]]] -Prints summary of log information (for code compiled with PETSC_USE_LOG)

### Usage

         PetscInitialize(...);
         PetscLogBegin();
         ... code ...
         PetscLogView(PetscViewer);
         PetscFinalize(...);

### Notes

By default the summary is printed to stdout.

### Keywords

log, dump, print

### See Also

PetscLogBegin(), PetscLogDump()

Level:beginner
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages